# The Flux Community Team

The wider Flux community identified work that falls into the categories of contributor experience, advocacy and communications, community management as integral to its success long ago.
While this has been an implicit focus of the team for a while, we want to build out the team, open it up and formalise processes.

## Resources

Important resources of the Community Team can be found here:

| What                               | Explanation |
| ---------------------------------- | ----------- |
| [Flux Drive][flux-drive]           | Contains all Google Docs for planning Flux project activities and comms |
| [Comms Plan][comms-plan]           | Here we track where announcements and blog posts have been posted to |
| [Monthly Updates][monthly-updates] | Every month we write about what's new in Flux - find all the drafts here |
| [Flux Socials][flux-socials]       | Plan out messages on Flux socials |

## Responsibilities

As opposed to defining a big overarching burden of responsibilities the team would have a hard time to actually realise, we want to slowly and carefully add tasks as we build out the team.

- **Project communications** the process for this needs to be formalised still, but we would like to provide a simple and scalable process for all Flux sub-projects to report their progress to the world.
Currently on our agenda are:
  - Monthly blog post
  - Social media
  - Mailing list
  - Slack
- **Events and Advocacy**
- Oversight of [this repository](https://github.com/fluxcd/community).

### Events and Advocacy

It is important to us to create a space for our community to meet, engage, collaborate and learn from each other. Over the past months, we have organised [GitOps Days](https://web.archive.org/web/20221206001007/https://www.gitopsdays.com/), participated in CloudNativeCon / KubeCon and at various meetups. Check out <https://fluxcd.io/resources/>, to see some of the events we helped to put together recently.

If you want to join the planning effort, please come and talk to us!

Also, if you would like to speak about Flux and GitOps, do reach out - we are happy to help you find a speaking slot soon. The more the world hears about this, the better!

The team today is this:

| Name | Slack handle | Github handle | Affiliation |
| -- | -- | -- | -- |
| Tamao Nakahara  | `@tamao`         | `@mewzherder`   | Independent  |
| Stacey Potter   | `@Stacey Potter` | `@staceypotter` | Independent  |

### Communications

We as a project want to make it a priority to inform our community and the wider world of developments well.
It's what helps new contributors get up to speed, enables collaboration, integrations and more.

The Community team helps with communication channels, including:

- The `cncf-flux-dev` [project mailing list](https://lists.cncf.io/g/cncf-flux-dev)
- [Our blog](https://fluxcd.io/blog)
- Slack (likely more to follow)
  - [#flux](https://cloud-native.slack.com/archives/flux)
  - [#flagger](https://cloud-native.slack.com/archives/flagger)
  - [#gitops](https://kubernetes.slack.com/archives/gitops)
- Social media
  - [LinkedIn](https://www.linkedin.com/groups/8985374/)
  - [Twitter @fluxcd](https://twitter.com/fluxcd)
- [Kubernetes Discuss: Ecosystem forum](https://discuss.kubernetes.io/c/announcements/announcements-eco)
- [KubeWeekly](https://www.cncf.io/kubeweekly/)
- [CNCF Blog](https://www.cncf.io/blog/)
- [r/GitOps](https://www.reddit.com/r/GitOps/)
- [Youtube](https://www.youtube.com/@fluxcd)

This means that the team will figure out what kind of news should go where (process still TBD) and execute in a timely fashion.

#### How to use this

##### As a maintainer or contributor

Add news-worthy items to our [planning spreadsheet][comms-plan] - ask for editing permissions if necessary.
Ping any of the folks at the bottom of this page, if urgent.

##### As comms team member

1. Check the [comms planning spreadsheet][comms-plan] and see if there are items that still need doing.
1. We would like to get monthly updates out to our community, so writing up the post, getting quotes from relevant people, etc is of importance to us.
    Check the ["Monthly Updates" folder][monthly-updates] and please help getting things ready for the end of the month.

## Contacts and how to join

Starting off the team are

| Name           | Slack handle     | Github handle   | Affiliation |
| -------------- | ---------------- | --------------- | ----------- |
| Scott Rigby    | `@scottrigby`    | `@scottrigby`   | Independent |
| Stacey Potter  | `@Stacey Potter` | `@staceypotter` | Indepnedent |

Talk to us in [`#flux`](https://cloud-native.slack.com/archives/flux) on [Slack](https://slack.cncf.io) and let us know if you're interested in contributing.
We would love to have you part of the team.

### Access to things

In case you need access to a particular Flux resource to fulfil your role as team member, please [file an issue on this repository](https://github.com/fluxcd/community/issues/new) and tag some of the folks in the previous section.

Below we list resources that are not tied to GitHub permissions. You can assume that the core Flux maintainers have access, maintainers of the `community` repository and sometimes CNCF staff as backup.

For people listed below we made exceptions:

#### Calendar

<https://lists.cncf.io/g/cncf-flux-dev/calendar>

| Name | Slack handle | Github handle | Affiliation |
| -- | -- | -- | -- |
| Stacey Potter   | `@Stacey Potter` | `@staceypotter` | Independent |
| Tamao Nakahara  | `@tamao`         | `@mewzherder`   | Independent |
| Kingdon Barrett | `@KingdonB`      | `@kingdonb`     | Independent |

#### LinkedIn Group

<https://www.linkedin.com/groups/8985374/>

| Name | Slack handle | Github handle | Affiliation |
| -- | -- | -- | -- |
| Stacey Potter   | `@Stacey Potter` | `@staceypotter` | Independent |

#### Twitter account

<https://twitter.com/fluxcd>

| Name | Slack handle | Github handle | Affiliation |
| -- | -- | -- | -- |
| Stacey Potter   | `@Stacey Potter` | `@staceypotter` | Independent |

#### YouTube channels

<https://youtube.com/@fluxcd>

| Name | Slack handle | Github handle | Affiliation |
| -- | -- | -- | -- |
| Stacey Potter   | `@Stacey Potter` | `@staceypotter` | Independent |
| Kingdon Barrett | `@Kingdon B`     | `@kingdonb`     | Independent |

[flux-drive]: https://drive.google.com/drive/folders/1884_42hqE02EHq8GrhkeIMC4WSFPsdTW?usp=share_link
[comms-plan]: https://docs.google.com/spreadsheets/d/1hPV3qJ95I_RKPyeo3zUJOPrHc0LNeSlP3f9fjXTen-c/edit#gid=0
[monthly-updates]: https://drive.google.com/drive/u/0/folders/1-vODozxyaDruofIWfnrY8hFr2xauFatf
[flux-socials]: https://docs.google.com/spreadsheets/d/1pCp9fpA10Pz_IkDszoOkI9d9Cdwbjg83rKY9_MwfdSo/edit
